summaryrefslogtreecommitdiffstats
path: root/libraries/xforms
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2010-05-13 00:59:20 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:20 +0200
commit973ced4a7a060bc49f75e8c46dc249f9a1550b4d (patch)
tree2456e1aad8275b576a0c77150e75392879944dfc /libraries/xforms
parent1c7ff780c37e1f5df16291a1e2c022cf85e0b69e (diff)
downloadslackbuilds-973ced4a7a060bc49f75e8c46dc249f9a1550b4d.tar.gz
slackbuilds-973ced4a7a060bc49f75e8c46dc249f9a1550b4d.tar.xz
libraries/xforms: Added to 13.0 repository
Diffstat (limited to 'libraries/xforms')
-rw-r--r--libraries/xforms/README13
-rw-r--r--libraries/xforms/slack-desc19
-rw-r--r--libraries/xforms/xforms.SlackBuild111
-rw-r--r--libraries/xforms/xforms.info12
4 files changed, 155 insertions, 0 deletions
diff --git a/libraries/xforms/README b/libraries/xforms/README
new file mode 100644
index 0000000000..c57878801f
--- /dev/null
+++ b/libraries/xforms/README
@@ -0,0 +1,13 @@
+XForms (X11 graphical user interface toolkit)
+
+XForms is a graphical user interface toolkit based on the X11 Xlib library.
+It's written in C and allows to easily write GUIs for programs. For that,
+it comes with a lot of widgets (buttons, menus, input fields, scrollbars,
+you name it) as well as fdesign, a tool that lets you create a GUI using a
+GUI. In addition, the library is extensible and new objects can easily be
+created and added to the library.
+
+Note: the XForms toolkit hasn't anything to do with the W3C standardized
+XML XForms format which unfortunately also is called "XForms". The XForms
+toolkit already existed long before the XML XForms format stuff was invented
+and those newcomers just picked the same name ;-)
diff --git a/libraries/xforms/slack-desc b/libraries/xforms/slack-desc
new file mode 100644
index 0000000000..cbb88f94bc
--- /dev/null
+++ b/libraries/xforms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+xforms: XForms (X11 graphical user interface toolkit)
+xforms:
+xforms: XForms is a graphical user interface toolkit based on the X11 Xlib
+xforms: library. It comes with a lot of widgets (buttons, menus, input fields
+xforms: scrollbars, you name it) as well as fdesign, a tool that lets you
+xforms: create a GUI using a GUI. In addition, the library is extensible and
+xforms: new objects can easily be created and added to the library.
+xforms:
+xforms: Homepage: http://www.xforms-toolkit.org
+xforms:
+xforms:
diff --git a/libraries/xforms/xforms.SlackBuild b/libraries/xforms/xforms.SlackBuild
new file mode 100644
index 0000000000..5cee5da20d
--- /dev/null
+++ b/libraries/xforms/xforms.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for xforms
+
+# Copyright 2009 LukenShiro <lukenshiro@ngi.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xforms
+VERSION=${VERSION:-1.0.92sp2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="ChangeLog COPYING.LIB Copyright INSTALL NEWS New_Features.txt README"
+# sources with data examples, and pre-built ones
+DEMOFILES="01Readme *.h *.c *.c.old *.xbm *.xpm *.menu .libs/*"
+DEMOFDFILES="*.h *.c *.fd *.xpm"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --datadir=/usr/share/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --enable-demos \
+ --enable-docs \
+ --build=$ARCH-slackware-linux
+
+make all
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+# demo source files
+mkdir -p $PKG/usr/share/$PRGNAM-$VERSION/demos/fd
+cd demos
+cp -a $DEMOFILES $PKG/usr/share/$PRGNAM-$VERSION/demos
+cd fd
+cp -a $DEMOFDFILES $PKG/usr/share/$PRGNAM-$VERSION/demos/fd
+cd ../..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/xforms.pdf > $PKG/usr/doc/$PRGNAM-$VERSION/xforms.pdf
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/xforms/xforms.info b/libraries/xforms/xforms.info
new file mode 100644
index 0000000000..035aa4f44f
--- /dev/null
+++ b/libraries/xforms/xforms.info
@@ -0,0 +1,12 @@
+PRGNAM="xforms"
+VERSION="1.0.92sp2"
+HOMEPAGE="http://www.xforms-toolkit.org"
+DOWNLOAD="http://download.savannah.gnu.org/releases/xforms/xforms-1.0.92sp2.tar.gz \
+ http://download.savannah.gnu.org/releases/xforms/xforms.pdf"
+MD5SUM="3c2806dff3022c536eabd93d32e3dab7 \
+ b713c627bf64f46fd958c6b56eb279a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="rworkman"